www.cendio.com
Bug 4643 - nautilus no longer asks if you want to run install-server, or just view it
: nautilus no longer asks if you want to run install-server, or just view it
Status: CLOSED FIXED
: ThinLinc
Server Installer
: 4.0.0
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-05-13 15:01 by
Modified: 2015-04-30 08:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-05-13 15:01:40
It seems that the default Nautilus behaviour has been changed to always view
the file, so double-clicking install-server won't work without changing this
option first. Perhaps we can include a .desktop file or something.
------- Comment #1 From cendio 2013-05-15 14:58:32 -------
Huh. Apparently the following .desktop file works with nautilus:

[root@dhcp-254-223 tl-4.0.0post-server]# cat install-server.desktop 
[Desktop Entry]
Type=Application
Name=Install ThinLinc Server
Exec='./install-server'

It complains if the file isn't executable though.
------- Comment #2 From cendio 2013-05-15 15:11:10 -------
Relative paths are formally not legal according to the desktop specification.
This however is:

Exec=sh -c "`dirname %k`/install-server"
------- Comment #3 From cendio 2013-11-13 09:41:11 -------
Here's the upstream commit:

https://git.gnome.org/browse/nautilus/commit/?id=72d6c7ce7febd573

I don't agree with any of the presented arguments though.
------- Comment #4 From cendio 2013-12-18 13:40:57 -------
Perhaps worth noting is that this also affects the tlclient scripts, which can
be a pain if you want to run the dynamic client for example.
------- Comment #5 From cendio 2015-01-30 17:17:16 -------
One problem with the desktop file approach is that it's hard for us to specify
icons. The standard is quite clear on the Icon field - it's either an absolute
path to a file (which we can't use) or a name which will be looked up in the
system locations (to which we haven't installed anything yet).
------- Comment #6 From cendio 2015-02-04 11:27:46 -------
I suggest we use the system-software-install icon, which is part of the
standard set of icons from the Icon Naming Specification, over at
freedesktop.org:

http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html
------- Comment #7 From cendio 2015-02-04 12:40:02 -------
Fixed in r29915.
------- Comment #8 From cendio 2015-03-13 09:47:26 -------
Tested and works great on Ubuntu 14.04, the icon is great.
------- Comment #9 From cendio 2015-04-21 11:10:50 -------
The file is now executable, which means that bash and other things might try to
execute it, with crappy results.

If you use nautilus to mark a .desktop file as "trusted", it then puts this
hash-bang at the top:

#!/usr/bin/env xdg-open

That prevents errors, but tends to open the file in a text editor. So we might
need an explaining text in there same as in the shell script.
------- Comment #10 From cendio 2015-04-21 11:13:13 -------
Apparently the text editor thing is a bug:

https://bugzilla.gnome.org/show_bug.cgi?id=343896

However, it is still present which means we need to deal with it.
------- Comment #11 From cendio 2015-04-21 13:51:29 -------
(In reply to comment #9)
> The file is now executable, which means that bash and other things might try to
> execute it, with crappy results.
> 
> If you use nautilus to mark a .desktop file as "trusted", it then puts this
> hash-bang at the top:
> 
> #!/usr/bin/env xdg-open
> 
> That prevents errors, but tends to open the file in a text editor. So we might
> need an explaining text in there same as in the shell script.

r30255.
------- Comment #12 From cendio 2015-04-23 14:24:40 -------
Make it clear in README that one should either click the ThinLinc Server
Installer icon or run install-server from a terminal.
------- Comment #13 From cendio 2015-04-24 15:06:47 -------
(In reply to comment #12)
> Make it clear in README that one should either click the ThinLinc Server
> Installer icon or run install-server from a terminal.

r30266.
------- Comment #14 From cendio 2015-04-27 10:17:47 -------
(In reply to comment #13)
> (In reply to comment #12)
> > Make it clear in README that one should either click the ThinLinc Server
> > Installer icon or run install-server from a terminal.
> 
> r30266.

Looks good.
------- Comment #15 From cendio 2015-04-27 10:23:30 -------
(In reply to comment #14)
> (In reply to comment #13)
> > (In reply to comment #12)
> > > Make it clear in README that one should either click the ThinLinc Server
> > > Installer icon or run install-server from a terminal.
> > 
> > r30266.
> 
> Looks good.

Almost, the README.txt uses "install-server" while the rest "./install-server"
which is more proper.
------- Comment #16 From cendio 2015-04-27 10:24:11 -------
Verified "ThinLinc Server Installer" desktop file functionality. Works as
expected.
------- Comment #17 From cendio 2015-04-29 09:33:07 -------
(In reply to comment #15)
> (In reply to comment #14)
> > (In reply to comment #13)
> > > (In reply to comment #12)
> > > > Make it clear in README that one should either click the ThinLinc Server
> > > > Installer icon or run install-server from a terminal.
> > > 
> > > r30266.
> > 
> > Looks good.
> 
> Almost, the README.txt uses "install-server" while the rest "./install-server"
> which is more proper.

Fixed in r30273: they're all the same as the text in README.txt now.
------- Comment #18 From cendio 2015-04-30 08:52:16 -------
(In reply to comment #17)
> (In reply to comment #15)
> > (In reply to comment #14)
> > > (In reply to comment #13)
> > > > (In reply to comment #12)
> > > > > Make it clear in README that one should either click the ThinLinc Server
> > > > > Installer icon or run install-server from a terminal.
> > > > 
> > > > r30266.
> > > 
> > > Looks good.
> > 
> > Almost, the README.txt uses "install-server" while the rest "./install-server"
> > which is more proper.
> 
> Fixed in r30273: they're all the same as the text in README.txt now.

Looks good, closing..